# Translation

Translation actions

## Translate content

> Translate content from one language to another

```json
{"openapi":"3.0.0","info":{"title":"Replica Butler","version":"4.4.0"},"tags":[{"name":"Translation","description":"Translation actions"}],"servers":[{"url":"/butler/api","description":"Replica Butler"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TranslationRequest":{"type":"object","required":["translateFrom","translateTo","data"],"properties":{"translateFrom":{"type":"string","description":"The source language (auto or language code)"},"translateTo":{"type":"string","description":"The target language (af, sq, am, ar, hy, az, bn, bs, bg, ca, zh, zh-TW ...)"},"data":{"type":"array","description":"The text to translate"}}},"ReplicaMessageSuccess":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}},"ReplicaEvent":{"type":"string","enum":["GET","POST","PUT","DELETE","ERROR"]},"ReplicaMessageFailure":{"type":"object","properties":{"statusCode":{"type":"integer"},"success":{"type":"boolean"},"message":{"type":"string"},"event":{"type":"string","$ref":"#/components/schemas/ReplicaEvent"},"items":{"type":"array"}}}}},"paths":{"/v1/translation":{"post":{"summary":"Translate content","description":"Translate content from one language to another","tags":["Translation"],"requestBody":{"description":"Translation request body","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TranslationRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageSuccess"},{"type":"object","properties":{"message":{},"items":{"type":"array"}}}]}}}},"500":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ReplicaMessageFailure"},{"type":"object","properties":{"message":{},"items":{"type":"array"}}}]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.replicacyber.com/developer-guide/butler-api-reference/translation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
